Bug 475715 - [autofs4] Incorrect "active offset mount" messages in syslog
Summary: [autofs4] Incorrect "active offset mount" messages in syslog
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Ian Kent
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On: 468187
Blocks: RHEL4u8_relnotes
TreeView+ depends on / blocked
 
Reported: 2008-12-10 03:20 UTC by Ian Kent
Modified: 2009-05-18 19:30 UTC (History)
5 users (show)

(edit)
When checking a directory tree, the kernel module could, in some circumstances, incorrectly decide the tree was not busy. An active offset mount with an open file handle being used for expires caused the file handle to not count toward the busyness check. This resulted in mount requests being made for already mounted offsets. With this update, the kernel module check has been corrected and incorrect mount requests are no longer generated.
Clone Of:
(edit)
Last Closed: 2009-05-18 19:30:47 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC

Comment 1 Ian Kent 2008-12-10 03:23:48 UTC
This fix is part of the autofs4 bug fix update for RHEL-5.3
and so needs to be applied to RHEL-4 also.

Ian

Comment 2 RHEL Product and Program Management 2008-12-10 03:59:15 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Vivek Goyal 2009-01-15 14:05:05 UTC
Committed in 78.29.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 5 Ian Kent 2009-01-28 04:05:52 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
When checking a directory tree the kernel module can incorrectly decide that the tree isn't busy. This happens for the case of an active offset mount as we follow past the active offset mount, which has an open file handle which is used for expires, causing the file handle not to count toward the busyness check. This results in a mount request for an already mounted offset. The check in the kernel module has now been corrected and incorrect mount requests are not generated.

Comment 6 Ian Kent 2009-01-28 04:07:08 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-When checking a directory tree the kernel module can incorrectly decide that the tree isn't busy. This happens for the case of an active offset mount as we follow past the active offset mount, which has an open file handle which is used for expires, causing the file handle not to count toward the busyness check. This results in a mount request for an already mounted offset. The check in the kernel module has now been corrected and incorrect mount requests are not generated.+When checking a directory tree the kernel module can incorrectly decide that the tree isn't busy. This happens for the case of an active offset mount as we follow past the active offset mount, which has an open file handle that is used for expires, causing the file handle not to count toward the busyness check. This results in a mount request for an already mounted offset. The check in the kernel module has now been corrected and incorrect mount requests are not generated.

Comment 9 Ryan Lerch 2009-02-25 21:28:47 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-When checking a directory tree the kernel module can incorrectly decide that the tree isn't busy. This happens for the case of an active offset mount as we follow past the active offset mount, which has an open file handle that is used for expires, causing the file handle not to count toward the busyness check. This results in a mount request for an already mounted offset. The check in the kernel module has now been corrected and incorrect mount requests are not generated.+When checking a directory tree, the kernel module could, in some circumstances, incorrectly decide the tree was not busy. An active offset mount with an open file handle being used for expires caused the file handle to not count toward the busyness check. This resulted in mount requests being made for already mounted offsets. With this update, the kernel module check has been corrected and incorrect mount requests are no longer generated.

Comment 12 errata-xmlrpc 2009-05-18 19:30:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html


Note You need to log in before you can comment on or make changes to this bug.